### Constructor

# GimpUi ScaleEntry new

#### Declaration [src]

    GtkWidget*
    gimp_scale_entry_new (
      const gchar* text,
      gdouble value,
      gdouble lower,
      gdouble upper,
      guint digits
    )

#### Description [src]

This function creates a `GtkLabel`, a `GtkHScale` and a `GtkSpinButton` and attaches them to a 3-column `GtkGrid`.

#### Parameters

`text`

  Type: `const gchar*`

  The text for the `GtkLabel` which will appear left of the `GtkHScale`.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `gdouble`

  The initial value.

`lower`

  Type: `gdouble`

  The lower boundary.

`upper`

  Type: `gdouble`

  The upper boundary.

`digits`

  Type: `guint`

  The number of decimal digits.

#### Return value

Type: `GtkWidget`

The new `GimpScaleEntry`.

The caller of the function takes ownership of the data, and is responsible for freeing it.